/////////////////////////////////////////////////////////////////////////////
// Name:        common.h
// Purpose:     shared constants
// Package:     ASIX FORTE programmer demo software
//              distributed as-is, without any warranties
// Author:      http://www.asix.net/
// Created:     2016
/////////////////////////////////////////////////////////////////////////////

#ifndef _COMMON_H
#define _COMMON_H

// ----------------------------------------------------------------------------
// constants
// ----------------------------------------------------------------------------

// IDs for the controls and the menu commands
enum
{
    // menu items
    Menu_Quit = 1,
    Menu_New, Menu_Open, Menu_SaveAs, Menu_ClearLog, Menu_SaveLog, 
    Menu_SepFile1, Menu_Device, Menu_Prog, Menu_RefreshProgList, Menu_SepProg1, Menu_SepFile2,
    Menu_ShowAll, Menu_HideAll, Menu_SepWindow1, 
    Menu_ShowAction, Menu_ShowBitAlias, Menu_ShowDeviceHelp, Menu_ShowLog, Menu_ShowSettings,

    // bitalias window items
    Menu_BitAlias,

    // dynamic menu items
    Menu_DeviceList = 100,
    Menu_ProgList = 200,
    Menu_ActionList = 300,
    Menu_MemoryList = 400,

    // it is important for the id corresponding to the "About" command to have
    // this standard value as otherwise it won't be handled properly under Mac
    // (where it is special and put into the "Apple" menu)
    Menu_About = wxID_ABOUT
};

// ----------------------------------------------------------------------------

#endif /* _COMMON_H*/
