#
# ASIX FORTE LED blink example
# distributed as-is, without any warranties
# http://www.asix.net/
#
# version 1.0, Dec 2016
#

from forte import *

def ReadStatus(message = ""):
    status = AGetBlocking()
    if message != "":
        print(message + ": " + RETURNCODE[status])
    else:
        print(RETURNCODE[status])

def main():
    LoadForteDll()

    prog_list = AGetProgList()
    if len(prog_list) < 1:
        print("No Forte programmer found.")
        return
    for prog_sn in prog_list:
        print("Found S/N %06X"%(prog_sn))

    QOpenProg()
    ReadStatus()

    QSetActiveLED(LED_ACT_Y_FAST_BLINK)
    ReadStatus("SetActiveLED")

    QDelay(2000000)
    ReadStatus("Delay")

    QSetActiveLED(LED_ACT_OFF)
    ReadStatus("SetActiveLED")

    QCheckGoButton()
    ReadStatus()

    QCloseProg()
    ReadStatus()


if __name__ == "__main__":
    main()
